Debian Bug report logs - #617779
openmpi: Please add armel/armhf support

version graph

Package: src:openmpi; Maintainer for src:openmpi is Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Fri, 11 Mar 2011 11:18:02 UTC

Severity: important

Tags: patch

Fixed in version openmpi/1.4.3-2.1

Done: Riku Voipio <riku.voipio@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#617779; Package src:openmpi. (Fri, 11 Mar 2011 11:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Fri, 11 Mar 2011 11:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: openmpi: Please add armel/armhf support
Date: Fri, 11 Mar 2011 14:25:01 +0000
[Message part 1 (text/plain, inline)]
Source: openmpi
Severity: important
Tags: patch


This is a backport from Ubuntu bug #438433, that enables openmpi to build
on arm ports (both armel and armhf build properly with this patch).

https://bugs.launchpad.net/ubuntu/+source/openmpi/+bug/438433

Please add armel/armhf support in the next version.

Regards

Konstantinos

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[openmpi-armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#617779; Package src:openmpi. (Fri, 11 Mar 2011 12:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Fri, 11 Mar 2011 12:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 617779@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 617779@bugs.debian.org
Subject: Re: Bug#617779: openmpi: Please add armel/armhf support
Date: Fri, 11 Mar 2011 13:32:42 +0100
Hello,


Le vendredi 11 mars 2011 à 14:25 +0000, Konstantinos Margaritis a
écrit :
> This is a backport from Ubuntu bug #438433, that enables openmpi to build
> on arm ports (both armel and armhf build properly with this patch).
> 
> https://bugs.launchpad.net/ubuntu/+source/openmpi/+bug/438433
> 
> Please add armel/armhf support in the next version.
Thanks for the information.

I just noticed that it also fixes a bug (which could have been reported
to the Debian packagers...).

Sylvestre






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#617779; Package src:openmpi. (Fri, 11 Mar 2011 13:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Fri, 11 Mar 2011 13:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 617779@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 617779@bugs.debian.org
Subject: Re: Bug#617779: openmpi: Please add armel/armhf support
Date: Fri, 11 Mar 2011 13:59:41 +0100
Le vendredi 11 mars 2011 à 13:32 +0100, Sylvestre Ledru a écrit :
> Hello,
> 
> 
> Le vendredi 11 mars 2011 à 14:25 +0000, Konstantinos Margaritis a
> écrit :
> > This is a backport from Ubuntu bug #438433, that enables openmpi to build
> > on arm ports (both armel and armhf build properly with this patch).
> > 
> > https://bugs.launchpad.net/ubuntu/+source/openmpi/+bug/438433
> > 
> > Please add armel/armhf support in the next version.
> Thanks for the information.
> 
> I just noticed that it also fixes a bug (which could have been reported
> to the Debian packagers...).
My bad, I missed the bug #608717

Sorry,
S






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#617779; Package src:openmpi. (Sat, 02 Apr 2011 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Sat, 02 Apr 2011 20:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 617779@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 617779@bugs.debian.org
Subject: openmpi: Please add armel/armhf support
Date: Sat, 2 Apr 2011 23:13:11 +0300
any news on this bug?

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#617779; Package src:openmpi. (Thu, 21 Apr 2011 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. (Thu, 21 Apr 2011 07:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 617779@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 617779@bugs.debian.org, 621978@bugs.debian.org, manuel@debian.org, markos@genesi-usa.com
Cc: control@bugs.debian.org
Subject: fix uploaded to DELAYED/5-days
Date: Thu, 21 Apr 2011 10:16:33 +0300
[Message part 1 (text/plain, inline)]
tags 617779 + pending
tags 621978 + pending
thanks

I've uplodaded an NMU fixing these bugs to DELAYED/5-days. debdiff attached.

Cheers,
Riku
[bugreport.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. (Thu, 21 Apr 2011 07:21:06 GMT) Full text and rfc822 format available.

Reply sent to Riku Voipio <riku.voipio@iki.fi>:
You have taken responsibility. (Tue, 26 Apr 2011 07:21:13 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Tue, 26 Apr 2011 07:21:13 GMT) Full text and rfc822 format available.

Message #32 received at 617779-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 617779-close@bugs.debian.org
Subject: Bug#617779: fixed in openmpi 1.4.3-2.1
Date: Tue, 26 Apr 2011 07:18:02 +0000
Source: openmpi
Source-Version: 1.4.3-2.1

We believe that the bug you reported is fixed in the latest version of
openmpi, which is due to be installed in the Debian FTP archive:

libopenmpi-dbg_1.4.3-2.1_armel.deb
  to main/o/openmpi/libopenmpi-dbg_1.4.3-2.1_armel.deb
libopenmpi-dev_1.4.3-2.1_armel.deb
  to main/o/openmpi/libopenmpi-dev_1.4.3-2.1_armel.deb
libopenmpi1.3_1.4.3-2.1_armel.deb
  to main/o/openmpi/libopenmpi1.3_1.4.3-2.1_armel.deb
openmpi-bin_1.4.3-2.1_armel.deb
  to main/o/openmpi/openmpi-bin_1.4.3-2.1_armel.deb
openmpi-checkpoint_1.4.3-2.1_armel.deb
  to main/o/openmpi/openmpi-checkpoint_1.4.3-2.1_armel.deb
openmpi-common_1.4.3-2.1_all.deb
  to main/o/openmpi/openmpi-common_1.4.3-2.1_all.deb
openmpi-doc_1.4.3-2.1_all.deb
  to main/o/openmpi/openmpi-doc_1.4.3-2.1_all.deb
openmpi_1.4.3-2.1.diff.gz
  to main/o/openmpi/openmpi_1.4.3-2.1.diff.gz
openmpi_1.4.3-2.1.dsc
  to main/o/openmpi/openmpi_1.4.3-2.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@iki.fi> (supplier of updated openmpi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 20 Apr 2011 19:53:03 +0300
Source: openmpi
Binary: openmpi-bin libopenmpi-dev libopenmpi1.3 openmpi-common openmpi-doc libopenmpi-dbg openmpi-checkpoint
Architecture: source armel all
Version: 1.4.3-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
Changed-By: Riku Voipio <riku.voipio@iki.fi>
Description: 
 libopenmpi-dbg - high performance message passing library -- debug library
 libopenmpi-dev - high performance message passing library -- header files
 libopenmpi1.3 - high performance message passing library -- shared library
 openmpi-bin - high performance message passing library -- binaries
 openmpi-checkpoint - high performance message passing library -- checkpoint support
 openmpi-common - high performance message passing library -- common files
 openmpi-doc - high performance message passing library -- man pages
Closes: 617779 621978
Changes: 
 openmpi (1.4.3-2.1) unstable; urgency=low
 .
   * Non-maintainer upload
   * Add openmpi link fix, closes: #621978
     - Thanks to Daniel Schepler <dschepler@gmail.com>
   * Add arm support from ubuntu, closes: #617779
     - Thanks to Jani Monoses <jani@ubuntu.com>
Checksums-Sha1: 
 eee9abe520751d5cbae15379d0dde3b5e2d52327 1734 openmpi_1.4.3-2.1.dsc
 70fd249b9cde17d9801649d902fe9e3fa7295c2d 26857 openmpi_1.4.3-2.1.diff.gz
 6fc296a25607405ff6f04067667fc1cbb0b2c49b 170620 openmpi-bin_1.4.3-2.1_armel.deb
 9668dd298d5a03cb9860e098de68d0e26da3b082 2538346 libopenmpi-dev_1.4.3-2.1_armel.deb
 3e3562a361771ee2b9bf9e157533b8bc0b90baa8 1315648 libopenmpi1.3_1.4.3-2.1_armel.deb
 9ec8347d9ebc250ad4db6e482ab718112b10a7e2 6534574 libopenmpi-dbg_1.4.3-2.1_armel.deb
 31504d0a2b999b7ab5cfdb0bbc950f7094187561 88166 openmpi-checkpoint_1.4.3-2.1_armel.deb
 9389eae7e2a95ceb1b87b42e24fbd9d66a0ecb45 92226 openmpi-common_1.4.3-2.1_all.deb
 71112fdf8603be70290a659d9d48f1989f18c410 473950 openmpi-doc_1.4.3-2.1_all.deb
Checksums-Sha256: 
 c61822a49b2e21f06361ec4944e988fc58737f25e58f0f89cb46809a73cd06a9 1734 openmpi_1.4.3-2.1.dsc
 e75991d26a111fc483bf14dd8daf961f6f36d88aecf059ade2b78a00b2c182db 26857 openmpi_1.4.3-2.1.diff.gz
 b0670a7ff1ef6667ba80ede9dcedb48848cfaf3db575e4eeb51461bbc7633e45 170620 openmpi-bin_1.4.3-2.1_armel.deb
 40d1c07fd6080f43f31891c4fdbaafe2d41af9a5cfa7af02494a5373b8175c19 2538346 libopenmpi-dev_1.4.3-2.1_armel.deb
 dda997dc30210cc93825622e0d85fe9e72a98ed63d817401e6e11921295e385e 1315648 libopenmpi1.3_1.4.3-2.1_armel.deb
 1354b37e20f8daff05ae42be44bb85b2b1b1a27a2d6e699b48c3e7d6c8305186 6534574 libopenmpi-dbg_1.4.3-2.1_armel.deb
 37c575f9ab334af433eb891223f8205803bb97ad711dc33c79ce820e02b1801e 88166 openmpi-checkpoint_1.4.3-2.1_armel.deb
 2df9eb8b17ff488d80c1bbf3939374bc11c78913b52dac1e21d4cba323c101ec 92226 openmpi-common_1.4.3-2.1_all.deb
 f90f9aa7fb496ba7f4457a4cb9ced50575f47fb9edd20a1d95ce2c7780a3eb79 473950 openmpi-doc_1.4.3-2.1_all.deb
Files: 
 bbbe87bc56f085dbe3df2c7b472424f8 1734 net extra openmpi_1.4.3-2.1.dsc
 8014774bac58047778b1d7fb2ef9740e 26857 net extra openmpi_1.4.3-2.1.diff.gz
 aefa16bd2978634f17366e035c60f789 170620 net extra openmpi-bin_1.4.3-2.1_armel.deb
 3532041e1182932fa82e5d83c156326d 2538346 libdevel extra libopenmpi-dev_1.4.3-2.1_armel.deb
 e3117086c5f69ac2448688c46cff9ae5 1315648 libs extra libopenmpi1.3_1.4.3-2.1_armel.deb
 30e5663e12c6cc4151b4b2f8a55214ab 6534574 debug extra libopenmpi-dbg_1.4.3-2.1_armel.deb
 8ff9ed302c48ef775226844740f949f9 88166 net extra openmpi-checkpoint_1.4.3-2.1_armel.deb
 ae62b6b9e42378a4ad867a724d1c2731 92226 net extra openmpi-common_1.4.3-2.1_all.deb
 2025f50d681c7b759610f29e7461590a 473950 doc extra openmpi-doc_1.4.3-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNr9PhibPvMsrqrwMRAgHdAJ4/ILOa3vYVESUQMT+lVOMYz94LBgCfdapP
HIefECaaMe0bVolykYvvn24=
=PNHc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Jun 2011 07:40:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:12:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.